Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.event
Class ProcessInstanceEvent

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent
              com.fujitsu.iflow.model.event.ProcessInstanceEvent

All Implemented Interfaces:
  java.io.Serializable

public class ProcessInstanceEvent
extends java.awt.AWTEvent

This class is used to communicate changes of process instances and components of process instances as well as the type of changes. A process instance-related event is defined by the object that was changed, also called source object, this object's type, and the type of the change (action).

See Also:
  `ProcessInstance`, `ProcessInstanceListener`, Serialized Form

Field Summary
`static int` | `ARROW_INSTANCE` Identifies an arrow instance as the source of an event.
`static int` | `ARROW_INSTANCE_ADDED` Identifies the adding of an arrow instance.
`static int` | `ARROW_INSTANCE_CHANGED` Identifies the change of an arrow instance.
`static int` | `ARROW_INSTANCE_DELETED` Identifies the deletion of an arrow instance.
`static int` | `NODE_INSTANCE` Identifies a node instance as the source of an event.
`static int` | `NODE_INSTANCE_ADDED` Identifies the adding of a node instance.
`static int` | `NODE_INSTANCE_CHANGED` Identifies the change of a node instance.
`static int` | `NODE_INSTANCE_DELETED` Identifies the deletion of a node instance.
`static int` | `NODE_INSTANCE_MOVED` Identifies the move of a node instance.
`static int` | `NODE_INSTANCE_STATE_CHANGED` Identifies the state change of a node instance.
`static int` | `PROCESS_INSTANCE` Identifies a process instance as the source of an event.
`static int` | `PROCESS_INSTANCE_ATTACHMENT_ADDED` Identifies the adding of an attachment.
`static int` | `PROCESS_INSTANCE_ATTACHMENT_LIST_CHANGED` Identifies the change of an attachment list.
`static int` | `PROCESS_INSTANCE_ATTACHMENT_REMOVED` Identifies the deletion of an attachment.
`static int` | `PROCESS_INSTANCE_CHANGED` Identifies the change of a process instance.
`static int` | `PROCESS_INSTANCE_LOCKED` Identifies the locking of a process instance.
`static int` | `PROCESS_INSTANCE_STATE_CHANGED` Identifies the state change of a process instance.
`static int` | `PROCESS_INSTANCE_UNLOCKED` Identifies the unlocking of a process instance.

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK, WINDOW_STATE_EVENT_MASK`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ProcessInstanceEvent(int action, java.lang.Object source, int type)` Constructs a `ProcessInstanceEvent` object for the given source object, source type, and action type.
`ProcessInstanceEvent(java.lang.Object source, int action)` Constructs a `ProcessInstanceEvent` object for the given source object and action type.

Method Summary
`int` | `getAction()` Returns the type of action this event represents as one of the constants defined in this class such as `ARROW_INSTANCE_ADDED`.
`java.lang.Object` | `getSource()` Returns the source object for which this event was generated.
`int` | `getType()` Returns the type of this event's source object: `ProcessInstance`, `NodeInstance`, or `ArrowInstance`.

Methods inherited from class java.awt.AWTEvent
`consume, getID, isConsumed, paramString, setSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NODE_INSTANCE

    public static final int NODE_INSTANCE

  Identifies a node instance as the source of an event.

  See Also:
    Constant Field Values

### ARROW_INSTANCE

    public static final int ARROW_INSTANCE

  Identifies an arrow instance as the source of an event.

  See Also:
    Constant Field Values

### PROCESS_INSTANCE

    public static final int PROCESS_INSTANCE

  Identifies a process instance as the source of an event.

  See Also:
    Constant Field Values

### NODE_INSTANCE_ADDED

    public static final int NODE_INSTANCE_ADDED

  Identifies the adding of a node instance.

  See Also:
    Constant Field Values

### NODE_INSTANCE_CHANGED

    public static final int NODE_INSTANCE_CHANGED

  Identifies the change of a node instance.

  See Also:
    Constant Field Values

### NODE_INSTANCE_DELETED

    public static final int NODE_INSTANCE_DELETED

  Identifies the deletion of a node instance.

  See Also:
    Constant Field Values

### NODE_INSTANCE_MOVED

    public static final int NODE_INSTANCE_MOVED

  Identifies the move of a node instance.

  See Also:
    Constant Field Values

### NODE_INSTANCE_STATE_CHANGED

    public static final int NODE_INSTANCE_STATE_CHANGED

  Identifies the state change of a node instance.

  See Also:
    Constant Field Values

### ARROW_INSTANCE_ADDED

    public static final int ARROW_INSTANCE_ADDED

  Identifies the adding of an arrow instance.

  See Also:
    Constant Field Values

### ARROW_INSTANCE_CHANGED

    public static final int ARROW_INSTANCE_CHANGED

  Identifies the change of an arrow instance.

  See Also:
    Constant Field Values

### ARROW_INSTANCE_DELETED

    public static final int ARROW_INSTANCE_DELETED

  Identifies the deletion of an arrow instance.

  See Also:
    Constant Field Values

### PROCESS_INSTANCE_CHANGED

    public static final int PROCESS_INSTANCE_CHANGED

  Identifies the change of a process instance.

  See Also:
    Constant Field Values

### PROCESS_INSTANCE_STATE_CHANGED

    public static final int PROCESS_INSTANCE_STATE_CHANGED

  Identifies the state change of a process instance.

  See Also:
    Constant Field Values

### PROCESS_INSTANCE_ATTACHMENT_ADDED

    public static final int PROCESS_INSTANCE_ATTACHMENT_ADDED

  Identifies the adding of an attachment.

  See Also:
    Constant Field Values

### PROCESS_INSTANCE_ATTACHMENT_REMOVED

    public static final int PROCESS_INSTANCE_ATTACHMENT_REMOVED

  Identifies the deletion of an attachment.

  See Also:
    Constant Field Values

### PROCESS_INSTANCE_ATTACHMENT_LIST_CHANGED

    public static final int PROCESS_INSTANCE_ATTACHMENT_LIST_CHANGED

  Identifies the change of an attachment list.

  See Also:
    Constant Field Values

### PROCESS_INSTANCE_LOCKED

    public static final int PROCESS_INSTANCE_LOCKED

  Identifies the locking of a process instance.

  See Also:
    Constant Field Values

### PROCESS_INSTANCE_UNLOCKED

    public static final int PROCESS_INSTANCE_UNLOCKED

  Identifies the unlocking of a process instance.

  See Also:
    Constant Field Values

Constructor Detail

### ProcessInstanceEvent

    public ProcessInstanceEvent(java.lang.Object source,
                                int action)

  Constructs a `ProcessInstanceEvent` object for the given source object and action type.

Parameters:
  `source` - The object for which this event is generated.
  `action` - The type of action this event represents.

### ProcessInstanceEvent

    public ProcessInstanceEvent(int action,
                                java.lang.Object source,
                                int type)

  Constructs a `ProcessInstanceEvent` object for the given source object, source type, and action type.

Parameters:
  `action` - The type of action this event represents.
  `source` - The object for which this event is generated.
  `type` - The source object's type.

Method Detail

### getAction

    public int getAction()

  Returns the type of action this event represents as one of the constants defined in this class such as `ARROW_INSTANCE_ADDED`.

  Returns:
    The type of action this event represents.

### getSource

    public java.lang.Object getSource()

  Returns the source object for which this event was generated.

  Returns:
    This event's source object.

### getType

    public int getType()

  Returns the type of this event's source object: `ProcessInstance`, `NodeInstance`, or `ArrowInstance`.

  Returns:
    The type of this event's source object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD